diff tests/test-mq-qimport @ 7272:9105467b8167

merge with crew
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Tue, 28 Oct 2008 00:03:28 +0100
parents 8046f0a070a6 e7f6401584f7
children 84f807918864
line wrap: on
line diff
--- a/tests/test-mq-qimport	Mon Oct 27 21:50:16 2008 +0100
+++ b/tests/test-mq-qimport	Tue Oct 28 00:03:28 2008 +0100
@@ -33,7 +33,14 @@
 hg diff > $HGTMP/url.diff
 hg revert --no-backup foo
 rm foo
-hg qimport file://$HGTMP/url.diff
+# Under unix: file:///foobar/blah
+# Under windows: file:///c:/foobar/blah
+patchurl=`echo $HGTMP/url.diff | tr '\\' /`
+expr $patchurl : "\/" > /dev/null
+if [ $? -ne 0 ]; then
+    patchurl='/'$patchurl
+fi
+hg qimport file://$patchurl
 hg qun
 
 echo % import patch that already exists